summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Charles Daniels2020-01-03 03:37:31 +0100
committer Robby Workman2020-01-03 06:33:51 +0100
commit3c155a694b8d9b9ce3cd95be7ed6da9c767bae35 (patch)
tree5455899eaf92d2df23eadf132f955b6bbcb9dc79 /academic
parent3a51ffa29873e5829df5b16cd24ff8aaf041eaf7 (diff)
downloadslackbuilds-3c155a694b8d9b9ce3cd95be7ed6da9c767bae35.tar.gz
academic/pcalc: Added (cli util for hex/dec/oct/bin math)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/pcalc/README12
-rw-r--r--academic/pcalc/doinst.sh0
-rw-r--r--academic/pcalc/pcalc.SlackBuild91
-rw-r--r--academic/pcalc/pcalc.info10
-rw-r--r--academic/pcalc/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/academic/pcalc/README b/academic/pcalc/README
new file mode 100644
index 0000000000..f9812626c2
--- /dev/null
+++ b/academic/pcalc/README
@@ -0,0 +1,12 @@
+pcalc (command line util for doing hex/dec/oct/bin math quickly)
+
+pcalc is a programmer's calculator. It simplifies some operations
+(especially working with multiple bases) that are hard work without
+this or another programmer's calculator. Main features:
+
+o Full math parser, parentheses, add, sub, mult, div, exponential
+o Automatic conversion between HEX DEC OCT BIN numbers
+o Mixing different bases in one expression
+o Definable variables
+o Math constants (E PI ...)
+o Built in math functions (sin/cos/sqrt ...)
diff --git a/academic/pcalc/doinst.sh b/academic/pcalc/doinst.sh
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/academic/pcalc/doinst.sh
diff --git a/academic/pcalc/pcalc.SlackBuild b/academic/pcalc/pcalc.SlackBuild
new file mode 100644
index 0000000000..ed9c93ea09
--- /dev/null
+++ b/academic/pcalc/pcalc.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for pcalc
+
+# Copyright 2019 Charles Daniels, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pcalc
+VERSION=${VERSION:-4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make -j1
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# pcalc does not have manual/info pages
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING EXAMPLE README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/pcalc/pcalc.info b/academic/pcalc/pcalc.info
new file mode 100644
index 0000000000..28018c76b5
--- /dev/null
+++ b/academic/pcalc/pcalc.info
@@ -0,0 +1,10 @@
+PRGNAM="pcalc"
+VERSION="4"
+HOMEPAGE="https://github.com/vapier/pcalc"
+DOWNLOAD="https://github.com/vapier/pcalc/archive/v4/pcalc-4.tar.gz"
+MD5SUM="b696aac622ec246e5dde13995c068292"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Charles Daniels"
+EMAIL="charles@cdaniels.net"
diff --git a/academic/pcalc/slack-desc b/academic/pcalc/slack-desc
new file mode 100644
index 0000000000..bfb7b16c1f
--- /dev/null
+++ b/academic/pcalc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pcalc: pcalc (command line util for doing hex/dec/oct/bin math quickly)
+pcalc:
+pcalc: pcalc is a programmer's calculator. It simplifies some operations
+pcalc: (especially working with multiple bases) that are hard work without
+pcalc: this or another programmer's calculator, such as 0x1234 + 0x20.
+pcalc:
+pcalc: Homepage: https://github.com/vapier/pcalc
+pcalc:
+pcalc:
+pcalc:
+pcalc: